import 'package:json_annotation/json_annotation.dart';

import '../../bean/chat_item.dart';

part 'chat_history_response.g.dart';

@JsonSerializable()
class ChatHistoryResponse {
  @JsonKey(name: 'list')
  List<ChatItem> chatItems;

  ChatHistoryResponse({this.chatItems = const []});

  factory ChatHistoryResponse.fromJson(Map<String, dynamic> json) =>
      _$ChatHistoryResponseFromJson(json);
}
